SOC_FAMILY = "aml-meson"
DEFAULTTUNE = "cortexa55"

require conf/machine/include/arm/armv8-2a/tune-cortexa55.inc
include conf/machine/include/soc-family.inc

KERNEL_CONSOLE = "ttyAML0"
SERIAL_CONSOLES = "115200;ttyAML0"

DISTRO_FEATURES_DEFAULT:remove = "bluetooth pcmcia nfc wifi"
MACHINE_FEATURES = "mmc emmc ext2 ext4 vfat usbhost keyboard rtc serial"

PREFERRED_PROVIDER_virtual/kernel = "linux-mainline"
PREFERRED_PROVIDER_virtual/dtb = "devicetree-bpir"

KCONFIG_DEFCONFIG:pn-linux-mainline = "${S}/arch/arm64/configs/defconfig"
KCONFIG_DEFCONFIG:pn-u-boot-bpi = "${S}/configs/bananapi-m5_defconfig"

KERNEL_IMAGETYPE = "Image"
